 /*
 *  file      : scan_cd.h
 *  project   : zoomc
 *  with      : Gtk-2
 *
 *  copyright : (C) 2010 - 2011 by Claude Bulin
 *
 *  ZOOMC - GTK+ implementation of the GNU shell command
 *  GNU General Public License
 *
 *  This file is part of ZOOMC.
 * 
 *  ZOOMC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  at your option) any later version.
 * 
 *  ZOOMC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with ZOOMC.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef scan_h
#define scan_h 1


typedef struct {

	gchar *Full_Name;
	gchar *Device;
	gint   Num;
	gint   line;
	gint   type;		// 0 = IDE, 1 = SCSI

} MEDIA;

extern GList *Media_List;

void		scan_remove_glist_media (void);
void		scan_open_peri_cd (void);
void		scan_close_peri_cd (void);
gint		scan_get_nbr_readers_detected (void);
gchar		*scan_get_text_combo_cd( GtkComboBox *p_AdrComboBox );
GList		*scan_get_glist (void);
void		scan_eject_mediascan_eject_media( GtkComboBox *p_AdrComboBox );


#endif
